#
# spec file for package agenda
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           agenda
Version:        1.0.9
Release:        lp151.2.2
Summary:        Task Manager for Elementary
License:        GPL-3.0+
Group:          Productivity/Office/Organizers
URL:            http://www.brainofdane.com/
Source:         https://github.com/dahenson/agenda/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake >= 2.8
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.16
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(vapigen) >= 0.26.0
Recommends:     %{name}-lang
Provides:       agenda-tasks = %{version}
Obsoletes:      agenda-tasks < %{version}

%description
A task manager for Elementary OS.

%lang_package

%prep
%setup -q

sed -i 's/\bmetainfo\b/appdata/' $(grep -rwl 'metainfo')

%build
%cmake -DGSETTINGS_COMPILE=OFF
make %{?_smp_mflags}

%install
%cmake_install
%suse_update_desktop_file -r com.github.dahenson.agenda GTK Office ProjectManagement
%find_lang %{name}
%fdupes %{buildroot}%{_datadir}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%doc debian/copyright
%{_bindir}/com.github.dahenson.agenda
%dir %{_datadir}/appdata
%{_datadir}/appdata/com.github.dahenson.agenda.appdata.xml
%{_datadir}/applications/com.github.dahenson.agenda.desktop
%{_datadir}/glib-2.0/schemas/com.github.dahenson.agenda.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.dahenson.agenda.??g

%files lang -f agenda.lang

%changelog
* Tue Dec 19 2017 jengelh@inai.de
- Trim biased wording from description.
* Tue Nov 28 2017 avvissu@yandex.by
- Update to 1.0.9:
  * Fix appdata and add LICENSE
  * Bump version, update changelog
- Drop agenda-1.0.8-vala-0.36.patch (fixed)
* Tue Nov  7 2017 avvissu@yandex.by
- Update to 1.0.8:
  * Changed styling for "dark theme variant"
  * Changed styles for editing a task in the list
  * Added hype to the AppData.xml Description to try to stand out in
    AppCenter better
  * Removed the About dialog completely
  * Fixes issue where the correct GLib Settings schema is installed,
    but the app expects the old schema
  * RDNN fixes for debian packaging
  * Style changes and metadata
  * Fixes TaskEntry selection bug
  * Better styling for the TreeView
- Switch from bzr to git
- Rename the package: agenda-tasks -> agenda
- agenda-tasks-0.3.1-vala-0.36.patch > agenda-1.0.8-vala-0.36.patch
* Tue May  2 2017 avvissu@yandex.by
- Fix build with vala >= 0.36 (agenda-tasks-0.3.1-vala-0.36.patch)
* Thu Apr 21 2016 mailaender@opensuse.org
- initial packaging (version 0.3.1+r108)
